Skip to main content
PUT
/
settings
/
mcpservers
/
{id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "serverName": "<string>",
  "createdBy": "<string>",
  "isPublic": true,
  "owners": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "mail": "<string>",
      "securityEnabled": true,
      "mailEnabled": true,
      "groupTypes": [
        "<string>"
      ],
      "groupType": "<string>",
      "userPrincipalName": "<string>",
      "jobTitle": "<string>",
      "department": "<string>",
      "officeLocation": "<string>"
    }
  ],
  "contributors": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "mail": "<string>",
      "securityEnabled": true,
      "mailEnabled": true,
      "groupTypes": [
        "<string>"
      ],
      "groupType": "<string>",
      "userPrincipalName": "<string>",
      "jobTitle": "<string>",
      "department": "<string>",
      "officeLocation": "<string>"
    }
  ],
  "users": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "mail": "<string>",
      "securityEnabled": true,
      "mailEnabled": true,
      "groupTypes": [
        "<string>"
      ],
      "groupType": "<string>",
      "userPrincipalName": "<string>",
      "jobTitle": "<string>",
      "department": "<string>",
      "officeLocation": "<string>"
    }
  ],
  "inheritEntitlements": true,
  "hideFromCatalog": true,
  "createdAt": "<string>",
  "updatedBy": "<string>",
  "updatedAt": "<string>",
  "displayName": "<string>",
  "description": "<string>",
  "isEnabled": true,
  "endpoint": "<string>",
  "apiKey": "<string>",
  "command": "<string>",
  "args": [
    "<string>"
  ],
  "workingDirectory": "<string>",
  "env": {},
  "availableTools": [
    "<string>"
  ],
  "supportsResources": true,
  "supportsPrompts": true,
  "connectionConfig": {
    "timeout": 123,
    "retries": 123,
    "keepAlive": true
  },
  "tags": [
    "<string>"
  ],
  "category": "<string>"
}

Authorizations

Authorization
string
header
required

Azure AD access token obtained via MSAL

Path Parameters

id
string
required

Body

application/json

MCP server configuration stored in the registry

id
string
required
serverName
string
required

Unique server identifier

scope
enum<string>

Access control model

Available options:
personal,
shared
createdBy
string

UPN of the creator

isPublic
boolean

Allow public read access

owners
object[]
contributors
object[]
users
object[]
inheritEntitlements
hideFromCatalog
boolean

Hide entity from user-facing recommendations and catalog/search surfaces (still accessible to owners/contributors/admins)

createdAt
string

ISO-8601 creation timestamp

updatedBy
string
updatedAt
string

ISO-8601 update timestamp

displayName
string
description
string
isEnabled
boolean
serverType
enum<string>
Available options:
stdio,
http,
websocket
endpoint
string

URL for HTTP/WebSocket servers

authType
enum<string>
Available options:
none,
apiKey,
bearerToken,
oauth
apiKey
string

Redacted in responses

command
string

Command for stdio servers (e.g. npx, node)

args
string[]
workingDirectory
string
env
object
availableTools
string[]
supportsResources
boolean
supportsPrompts
boolean
connectionConfig
object
tags
string[]
category
string

Response

200 - application/json

MCP server replaced

MCP server configuration stored in the registry

id
string
required
serverName
string
required

Unique server identifier

scope
enum<string>

Access control model

Available options:
personal,
shared
createdBy
string

UPN of the creator

isPublic
boolean

Allow public read access

owners
object[]
contributors
object[]
users
object[]
inheritEntitlements
hideFromCatalog
boolean

Hide entity from user-facing recommendations and catalog/search surfaces (still accessible to owners/contributors/admins)

createdAt
string

ISO-8601 creation timestamp

updatedBy
string
updatedAt
string

ISO-8601 update timestamp

displayName
string
description
string
isEnabled
boolean
serverType
enum<string>
Available options:
stdio,
http,
websocket
endpoint
string

URL for HTTP/WebSocket servers

authType
enum<string>
Available options:
none,
apiKey,
bearerToken,
oauth
apiKey
string

Redacted in responses

command
string

Command for stdio servers (e.g. npx, node)

args
string[]
workingDirectory
string
env
object
availableTools
string[]
supportsResources
boolean
supportsPrompts
boolean
connectionConfig
object
tags
string[]
category
string